Subject: Translation
From: "Pierre Bancov" <[email-masked]>
To: [email-masked]
Date: Fri, 1 Oct 1999 19:02:46 +0000

Well, "utsuro" I don't know, but a safe gues is "blurry"..

So that would be something like:

"The afternoon sunbeams falling into your blurry eyes
look like a light beckoning you outside,
 (you) the bird caught in a cage"

(actually, the "bird caught in a cage" is supposed to be the eyes, 
but just try to put that into something sounding good....)

Oh yes, and yuku is just a form of "iku", to go. It's an alternance 
due to pronounciation. You'll find it after a "e" (like the te-form, 
etc...) I don't know exactly why it happens, but I suppose it's 
a good way to distinguish "iru" and "iku".

(and to whoever wanted this, no translation of the French version of 
the Ranma Opening, it's bad enough as it is.)

	Pierre